(setq gnus-select-method '(nntp "news.eternal-september.org"))
(setq gnus-secondary-select-methods
      '((nnmaildir "gmail"
                   (directory "~/documents/mail/gmail/"))
        (nnmaildir "ninthfloor"
                   (directory "~/documents/mail/ninthfloor/"))
        (nnmaildir "arch"
                   (directory "~/documents/mail/arch/"))
        (nnmaildir "aethon"
                   (directory "~/documents/mail/aethon/"))
        (nnmaildir "ryuslash"
                   (directory "~/documents/mail/ryuslash.org/"))
        (nntp "news.gmane.org")))

(setq gnus-auto-subscribed-groups nil)
(setq gnus-save-newsrc-file nil)
(setq gnus-read-newsrc-file nil)
(setq gnus-novice-user t)
(setq gnus-article-truncate-lines nil)

(setq message-send-mail-function 'message-send-mail-with-sendmail)
(setq sendmail-program "/usr/bin/msmtp")
(setq message-sendmail-extra-arguments '("-a" "gmail"))

;; (setq gnus-parameters
;;       '(("gmail"
;;          (display . all))
;;         ("aethon"
;;          (display . all)
;;         ("arch"
;;          (display . all)))))

(setq gnus-permanently-visible-groups
      "\\(gmail\\|aethon\\|arch\\|ninthfloor\\|ryuslash\\):INBOX")

(setq nntp-marks-is-evil t)

(setq gnus-check-new-newsgroups nil)

(setq gnus-posting-styles
      '((".*"
         (address "ryuslash@gmail.com")
         (eval (setq message-sendmail-extra-arguments '("-a" "gmail"))))
        ("ninthfloor:"
         (address "ryuslash@ninthfloor.org")
         (eval (setq message-sendmail-extra-arguments '("-a" "ninthfloor"))))
        ("arch:"
         (address "tom.willemsen@archlinux.us")
         (eval (setq message-sendmail-extra-arguments '("-a" "arch"))))
        ("aethon:"
         (address "thomas@aethon.nl")
         (signature-file "~/documents/work/aethon/signature.txt")
         (eval (setq message-sendmail-extra-arguments '("-a" "aethon"))))
        ("ryuslash:"
         (address "tom@ryuslash.org")
         (eval (setq message-sendmail-extra-arguments '("-a" "ryuslash"))))))

(setq user-mail-address "ryuslash@gmail.com")
(setq user-full-name "Tom Willemsen")

(add-hook 'gnus-summary-mode-hook '(lambda () (linum-mode -1)))
(add-hook 'gnus-article-mode-hook '(lambda () (linum-mode -1)))
(add-hook 'gnus-group-mode-hook '(lambda () (linum-mode -1)))

;-----[ BBDB ]--------------------------------------------------------
;; (require 'bbdb)
;; (bbdb-initialize 'gnus 'message)
;; (bbdb-insinuate-gnus)
;; (setq bbdb-north-american-phone-numbers-p nil)
